Create Dashboard
curl --request POST \
--url https://prod.dataapi.papermap.ai/api/v1/external/dashboards \
--header 'Content-Type: <content-type>' \
--header 'X-API-Key-ID: <x-api-key-id>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Valid-Until: <x-valid-until>' \
--header 'X-Workspace-ID: <x-workspace-id>' \
--data '
{
"workspace_id": "<string>",
"title": "<string>",
"description": "<string>"
}
'import requests
url = "https://prod.dataapi.papermap.ai/api/v1/external/dashboards"
payload = {
"workspace_id": "<string>",
"title": "<string>",
"description": "<string>"
}
headers = {
"X-API-Key-ID": "<x-api-key-id>",
"X-Workspace-ID": "<x-workspace-id>",
"X-Valid-Until": "<x-valid-until>",
"X-Signature": "<x-signature>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key-ID': '<x-api-key-id>',
'X-Workspace-ID': '<x-workspace-id>',
'X-Valid-Until': '<x-valid-until>',
'X-Signature': '<x-signature>',
'Content-Type': '<content-type>'
},
body: JSON.stringify({workspace_id: '<string>', title: '<string>', description: '<string>'})
};
fetch('https://prod.dataapi.papermap.ai/api/v1/external/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"data": {
"created_by": "<string>",
"modified_by": "<string>",
"deleted_by": "<string>",
"dashboard_id": "<string>",
"title": "<string>",
"description": "<string>",
"workspace_id": "<string>",
"dashboard_status": "<string>",
"meta": {},
"configuration": {},
"is_public": true,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
}Managing Dashboards
Create Dashboard
Endpoint to create a new dashboard
POST
/
api
/
v1
/
external
/
dashboards
Create Dashboard
Headers
API Key Identifier
Workspace Identifier
Validity timestamp for the request
Request signature for authentication
Specifies the content type of the request body
Available options:
application/json CORS allow origin header
Available options:
* Body
application/json
Was this page helpful?
⌘I

